
/**
 * Verwaltet einen Krümel
 * 
 * @author Albert Wiedemann
 * @version 1.0
 */
class Kruemel extends Hindernis
{

    /**
     * Legt Position und Figur fest
     * @param x x-Position des Krümels
     * @param y y-Position des Krümels
     * @param rahmen das Rahmenobjekt des Spiels
     */
    Kruemel(int x, int y, Rahmen rahmen)
    {
        super(x, y, rahmen);
        EigeneFigurLöschen();
        FigurteilFestlegenEllipse(-10, -10, 20, 20, "orange");
        GrößeSetzen(rahmen.basisGröße);
    }
    
    /**
     * Das Krümel meldet dem Rahmen, dass es gefressen wurde
     * @param monster das Monster
     */
    @Override void Reagieren(Monster monster)
    {
        rahmen.KrümelEntfernen(this);
        Entfernen();
    }
}
