
/**
 * Beschreibt ein Rechteck der (grauen) Mauer
 * 
 * @author Albert Wiedemann
 * @version 1.0
 */
class MauerRechteck extends Hindernis
{

    /**
     * Der Konstruktor legt Position, Größe und Farbe fest
     * @param x x-Koordinate des Rechtecks
     * @param y y-Koordinate des Rechtecks
     * @param rahmen das Rahmenobjekt des Spiels
     */
    MauerRechteck(int x, int y, Rahmen rahmen)
    {
        super(x, y, rahmen);
        EigeneFigurLöschen();
        FigurteilFestlegenRechteck(-50, -50, 100, 100, "grau");
        GrößeSetzen(rahmen.basisGröße);
    }
    
    /**
     * Die Mauer befördert das Monster wieder zurück
     * @param monster das Monster
     */
    @Override void Reagieren(Monster monster)
    {
        monster.Gehen(- rahmen.basisGröße);
    }
}
