
/**
 * Der Dolch hat eine geringe Angrifsstärke
 * 
 * @author Albert Wiedemann
 * @version 1.0
 */
class Dolch extends AngriffsWaffe
{

    /**
     * Der Konstruktor besetzt das Spiel
     * @param sp das Spiel, in dem das Objekt verwendet wird.
     */
    Dolch(Spiel sp)
    {
        super(sp);
        gewicht = 2.0;    
    }

    /**
     * Meldet die Stärke der Angriffskraft
     * @return Angriffsstärke
     */
    @Override int WaffenstärkeGeben()
    {
        return 5;
    }
    
    /**
     * Meldet den Namen des Objekts zurück
     * @return name
     */
    @Override String NameGeben()
    {
        return "Dolch";
    }
}
