
/**
 * Oberklasse aller Waffen
 * 
 * @author Albert Wiedemann
 * @version 1.0
 */
class Waffe extends Schatz
{
    /** Zahl der Anwendungen */
    protected int anzahlAnwendungen;
    
    /**
     * Der Konstruktor besetzt das Spiel
     * @param sp das Spiel, in dem das Objekt verwendet wird.
     */
    Waffe(Spiel sp)
    {
        super(sp);
        anzahlAnwendungen = 0;
    }
    
    /**
     * Trägt ein, dass eine Waffe verwendet wurde.
     */
    void AnwendungEintragen()
    {
        anzahlAnwendungen = anzahlAnwendungen + 1;
    }
}
