
/**
 * Beschreibt die allgemeinen Teile einer Komponente im Smart Home
 *
 * @author Albert Wiedemann
 * @version 1.0
 */
class Smartkomponente
{
    /** Name der Komponente */
    private String name;

    /**
     * Legt den Namen der Komponente fest.
     * @param name der Komponentenname
     */
    Smartkomponente(String name)
    {
        this.name = name;
    }

    /**
     * Meldet den Namen der Komponente zurück
     * @return Name
     */
    String NameGeben()
    {
        return name;
    }
    
    /**
     * Meldet den Zustand der Komponente
     * @return Zustand als Zeichenkette
     */
    String ZustandGeben()
    {
        return "";
    }
}
