
/**
 * Zeigt die gesamte Landkarte an.
 * 
 * @author Albert Wiedemann 
 * @version 1.0
 */
class Karte extends Spruch
{

    /**
     * Der Konstruktor besetzt das Spiel
     * @param sp das Spiel, in dem das Objekt verwendet wird.
     */
    Karte(Spiel sp)
    {
        super(sp);
        gewicht = 1.0;
        mentalgewicht = 5;
    }

    /**
     * Meldet den Namen des Objekts zurück
     * @return name
     */
    @Override String NameGeben()
    {
        return "Karte";
    }
    
    /**
     * Führt den Spruch aus
     * @param vonwem der Spieler, der den Spruch ausführt
     */
    @Override void Ausführen()
    {
        spiel.gewölbe.AnzeigeZeichnen(true, spiel.spieler.wo);
    }
}
