
/**
 * Konstanten für die Kartenanzeige und Gewölbegenerierung
 * 
 * @author Albert Wiedemann 
 * @version 1.0
 */

interface Konstanten
{
    /** Anzahl der Räume */
    final int anzahlRäume = 40;
    /** Maximale Anzahl der Räume pro Zeile */
    final int breiteRaumRaster = 10;
    /** Maximale Anzahl der Räume pro Spalte */
    final int höheRaumRaster = 6;
    /** Raum als nicht besucht darstellen */
    final int nichtBesucht = 0;
    /** Raum als besucht darstellen */
    final int besucht = 1;
    /** Raum als bereits nach Ausgang durchsucht darstellen */
    final int ausgangGesucht = 2;
    /** Raum als markiert (Spieler anwesend) darstellen */
    final int markiert = 3;
}
