
/**
 * Die Lederkappe hat eine geringe Abwekrstärke
 * 
 * @author Albert Wiedemann
 * @version 1.0
 */
class Lederkappe extends SchutzWaffe
{

    /**
     * Der Konstruktor besetzt das Spiel
     * @param sp das Spiel, in dem das Objekt verwendet wird.
     */
    Lederkappe(Spiel sp)
    {
        super(sp);
        gewicht = 5.0;    
    }

    /**
     * Meldet die Stärke der Abwehrkraft
     * @return Abwehrstärke
     */
    @Override int AbwehrstärkeGeben()
    {
        return 3;
    }
    
    /**
     * Meldet den Namen des Objekts zurück
     * @return name
     */
    @Override String NameGeben()
    {
        return "Lederkappe";
    }
}
