
/**
 * Simuliert "keiner da."
 * 
 * @author Albert Wiedemann 
 * @version 1.0
 */
class LeeresMonster extends Monster
{

    /**
     * Der Konstruktor besetzt das Spiel
     * @param sp das Spiel, in dem das Objekt verwendet wird.
     */
    LeeresMonster(Spiel sp)
    {
        super(sp);
    }
    
    
    /**
     * Meldet den Namen des Objekts zurück
     * @return name
     */
    @Override String NameGeben()
    {
        return "Leeres Monster";
    }
    
    /**
     * Einleitung des Kampfs.
     * Keine Meldung.
     * @param sp der angegriffene Spieler
     */
    @Override void KampfBeginnen(Spieler sp)
    {
    }
    
    /**
     * Kampf des Spielers mit dem Monster
     * @param sp der angegriffene Spieler
     * @return wahr, wenn der Spieler den Kampf gewonnen hat.
     */
    @Override boolean KampfDurchführen(Spieler sp)
    {
        return true;
    }
}
