
/**
 * Die Rüstung hat eine geringe Abwekrstärke
 * 
 * @author Albert Wiedemann
 * @version 1.0
 */
class Ruestung extends SchutzWaffe
{

    /**
     * Der Konstruktor besetzt das Spiel
     * @param sp das Spiel, in dem das Objekt verwendet wird.
     */
    Ruestung(Spiel sp)
    {
        super(sp);
        gewicht = 50.0;    
    }

    /**
     * Meldet die Stärke der Abwehrkraft
     * @return Abwehrstärke
     */
    @Override int AbwehrstärkeGeben()
    {
        return 20;
    }
    
    /**
     * Meldet den Namen des Objekts zurück
     * @return name
     */
    @Override String NameGeben()
    {
        return "Rüstung";
    }
}
