
/**
 * Der Schlüssel zum Ausgang
 * 
 * @author Albert Wiedemann
 * @version 1.0
 */
class Schluessel extends Schatz
{

    /**
     * Der Konstruktor besetzt das Spiel
     * @param sp das Spiel, in dem das Objekt verwendet wird.
     */
    Schluessel(Spiel sp)
    {
        super(sp);
        gewicht = 0.1;
    }

    /**
     * Meldet den Namen des Objekts zurück
     * @return name
     */
    @Override String NameGeben()
    {
        return "Schlüssel";
    }
}
